<?php
/********************************
 * JWD Teams :: Define Custom Posts
 ********************************/

/********************************
 * Blocking direct access to this file 
 ********************************/
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/********************************
 * Register Custom Post Types for Teams  
 ********************************/
if ( ! function_exists( 'jt__register_cpt' ) ) { 
	add_action( 'init', 'jt__register_cpt' );
	function jt__register_cpt() {
		$labels = array(
			'name'               => __( 'Teams', 'jwdtm' ),
			'singular_name'      => __( 'Team', 'jwdtm' ),
			'add_new'            => __( 'Add New Team', 'jwdtm' ),
			'add_new_item'       => __( 'Add New Team', 'jwdtm' ),
			'edit_item'          => __( 'Edit Team', 'jwdtm' ),
			'new_item'           => __( 'New Team', 'jwdtm' ),
			'all_items'          => __( 'All Teams', 'jwdtm' ),
			'view_item'          => __( 'View Team', 'jwdtm' ),
			'search_items'       => __( 'Search Team', 'jwdtm' ),
			'not_found'          => __( 'No Teams found', 'jwdtm' ),
			'not_found_in_trash' => __( 'No Teams found in the Trash', 'jwdtm' ), 
			'parent_item_colon'  => '',
			'menu_name'          => __( 'JWD Teams', 'jwdtm' )
		);
		$args = array(
			'labels'        		=> $labels,
			'description'   		=> __( 'Holds our Team Members specific data', 'jwdtm' ),
			'public'        		=> true,
			'menu_position' 		=> 999,
			'supports'      		=> array( 'title' ),
			'exclude_from_search' 	=> true,
			'menu_icon'   			=> 'dashicons-id-alt',
		);
		register_post_type( 'jwd_team', $args ); 
	}
}

/********************************
 * Team ShortCode in Teams Panel 
 ********************************/
 
/* Column Head */
if ( ! function_exists( 'jt__teams_column_head' ) ) { 
	add_filter('manage_jwd_team_posts_columns', 'jt__teams_column_head', 10);
	function jt__teams_column_head($defaults) {
		$defaults['shortcode'] = 'ShortCode';
		return $defaults;
	}
}

/* Column Content */
if ( ! function_exists( 'jt__teams_column_content' ) ) { 
	add_action('manage_jwd_team_posts_custom_column', 'jt__teams_column_content', 10, 2);
	function jt__teams_column_content($column_name, $post_ID) {
		if ($column_name == 'shortcode') { echo '<code>[jwd_team id="'.$post_ID.'"]</code>';}
	}
}