<?php
/********************************
 * JWD Teams :: Enqueue Scripts & Styles
 ********************************/
 
/********************************
 * Blocking direct access to this file 
 ********************************/
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/********************************
 * Register / Enqueue Scripts & Style for admin side 
 ********************************/
if ( ! function_exists( 'jt__enqueue_admin' ) ) { 
	add_action('admin_enqueue_scripts', 'jt__enqueue_admin'); 
	function jt__enqueue_admin() {
		global $post_type;
		if( $post_type == 'jwd_team' ){
			wp_enqueue_media();
			wp_enqueue_style( 'wp-color-picker' ); 
			wp_enqueue_style( 'jt-style-admin', plugins_url('css/jt__admin.min.css', dirname(__FILE__)), null, jt__plugin_data());
			wp_enqueue_style( 'jt-fontawesome-admin', plugins_url('css/font-awesome.min.css', dirname(__FILE__)), null, jt__plugin_data());
			wp_enqueue_script('jq-script-admin', plugins_url('js/jt__admin.min.js', dirname(__FILE__)), array('jquery', 'jquery-ui-sortable', 'wp-color-picker', 'jquery-ui-slider'), jt__plugin_data(), false );
		}
	}
}

/********************************
 * Register / Enqueue Scripts & Style for client side  
 ********************************/
if ( ! function_exists( 'jt__enqueue_front' ) ) { 
	add_action( 'wp_enqueue_scripts', 'jt__enqueue_front' );
	function jt__enqueue_front() {
		global $post;
		/* Load scripts and styles only where the [jwd_team] is loaded */
		if( is_a( $post, 'WP_Post' ) && has_shortcode( $post->post_content, 'jwd_team')) {
			wp_enqueue_style( 'jt-style-front' , plugins_url('css/jt__front.min.css', dirname(__FILE__)), null, jt__plugin_data());
			wp_enqueue_style( 'jt-style-tipso', plugins_url('css/tipso.min.css', dirname(__FILE__)), null, jt__plugin_data());
			wp_enqueue_style( 'jt-style_tipso-animate', plugins_url('css/tipso_animate.css', dirname(__FILE__)), null, jt__plugin_data());
			wp_enqueue_style( 'jt-fontawesome-front', plugins_url('css/font-awesome.min.css', dirname(__FILE__)), null, jt__plugin_data());
			wp_enqueue_script('jq-script-front', plugins_url('js/jt__front.min.js', dirname(__FILE__)), array('jquery'), jt__plugin_data(), false );
			wp_enqueue_script( 'jq-script-tipso', plugins_url('js/tipso.min.js', dirname(__FILE__)), array('jquery'), jt__plugin_data(), true );
		}
	}
}