<?php
/********************************
 * JWD Teams :: Create Metaboxes
 ********************************/
 
/********************************
 * Blocking direct access to this file 
 ********************************/
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/********************************
 * Register Meta box for Team Members
 ********************************/
if ( ! function_exists( 'jt__register_metaboxes' ) ) { 
	add_action( 'add_meta_boxes', 'jt__register_metaboxes' );
	function jt__register_metaboxes() {
		add_meta_box( 'jwdtm_team_members_box_id', __( '<i class="fa fa-users" aria-hidden="true"></i>&nbsp;&nbsp;&nbsp;Team Members', 'jwdtm' ), 'jt__teams_content', 'jwd_team', 'normal', 'high' );
		add_meta_box( 'jwdtm_team_shortcode_box_id', __( '<i class="fa fa-cogs" aria-hidden="true"></i>&nbsp;&nbsp;&nbsp;Team Settings', 'jwdtm' ), 'jt__teams_settings', 'jwd_team', 'side', 'default' );
		add_meta_box( 'jwdtm_team_custom_css_id', __( '<i class="fa fa-css3" aria-hidden="true"></i>&nbsp;&nbsp;&nbsp;Team Custom CSS', 'jwdtm' ), 'jt__teams_custom_css', 'jwd_team', 'normal', 'default' );
	}
}

/********************************
 * Team Content Metabox
 ********************************/
if ( ! function_exists( 'jt__teams_content' ) ) { 
	function jt__teams_content($post){
		wp_nonce_field( basename( __FILE__ ) , 'jt__teams_content_nonce' );
		$data = get_post_meta($post->ID, "member_data" ,true);
		echo '<div class="jt__wrapper">';
		$count = 0;
		if (count($data) > 0){
			foreach((array)$data as $member ){
				if ( 
					isset($member['img']) || 
					isset($member['img_id']) || 
					isset($member['name']) || 
					isset($member['position']) || 
					isset($member['phone']) || 
					isset($member['email']) || 
					isset($member['desc']) || 
					isset($member['fb']) || 
					isset($member['tw']) || 
					isset($member['in']) || 
					isset($member['gp']) ||
					isset($member['yt']) ||
					isset($member['it'])
				){
					echo jt__get_member_fileds($count, $member);
					$count = $count +1;
				}
			}
		}  
		echo '</div>';
?>
		<script type="text/javascript">
		/* <![CDATA[ */
			jQuery(document).ready(function() {
				var count = <?php echo $count - 1; ?>; 
				jQuery(".jt__addnew").click(function() {
					count = count + 1;
					jQuery('.jt__wrapper').append(' <?php echo implode('', explode('\n', jt__get_member_fileds('count'))); ?> '.replace(/count/g, count) );
					return false;
				});
			});
		/* ]]> */
		</script>
<?php
		echo '<span class="jt__addnew button button-primary button-hero">'. __('Add Member', 'jwdtm') . '</span>';
	}
}

/********************************
 * Settings Metabox 
 ********************************/
if ( ! function_exists( 'jt__teams_settings' ) ) {
	function jt__teams_settings( $post ) {
		wp_nonce_field( basename( __FILE__ ) , 'jt__teams_content_settings_nonce' );
		/* Settings */
		$team_design 		= get_post_meta( $post->ID, 'team_design', true ); 
		$team_grid 			= get_post_meta( $post->ID, 'team_settings_grid', true ); 
		$team_img 			= get_post_meta( $post->ID, 'team_settings_img', true ); 
		$team_txt_align 	= get_post_meta( $post->ID, 'team_txt_align', true ); 
		$team_desc_justify 	= get_post_meta( $post->ID, 'team_desc_justify', true ); 
		$team_desc 			= get_post_meta( $post->ID, 'team_settings_desc', true ); 
		$team_show_title 	= get_post_meta( $post->ID, 'team_settings_title', true ); 
		$team_show_credit 	= get_post_meta( $post->ID, 'team_settings_credit', true ); 
		$team_more_desc		= get_post_meta( $post->ID, 'team_more_desc', true );
		$team_less_desc		= get_post_meta( $post->ID, 'team_less_desc', true ); 		
		/* Colors */
		$mb_name_color 		= get_post_meta( $post->ID, 'mb_name_color', true ); 
		$mb_position_color	= get_post_meta( $post->ID, 'mb_position_color', true ); 
		$mb_contact_color	= get_post_meta( $post->ID, 'mb_contact_color', true ); 
		$mb_social_color	= get_post_meta( $post->ID, 'mb_social_color', true ); 
		$mb_social_hover	= get_post_meta( $post->ID, 'mb_social_hover', true ); 
		$mb_desc_color		= get_post_meta( $post->ID, 'mb_desc_color', true ); 
		$mb_tooltip_color	= get_post_meta( $post->ID, 'mb_tooltip_color', true ); 
		$mb_tooltip_bg		= get_post_meta( $post->ID, 'mb_tooltip_bg', true ); 
		/* Sizes */
		$mb_name_size 		= get_post_meta( $post->ID, 'mb_name_size', true ); 
		$mb_position_size	= get_post_meta( $post->ID, 'mb_position_size', true ); 
		$mb_contact_size	= get_post_meta( $post->ID, 'mb_contact_size', true ); 
		$mb_social_size		= get_post_meta( $post->ID, 'mb_social_size', true ); 
		$mb_desc_size		= get_post_meta( $post->ID, 'mb_desc_size', true ); 
		$mb_desc_leng		= get_post_meta( $post->ID, 'mb_desc_leng', true ); 
		/* Defaults */
		if(!$mb_name_size){ $mb_name_size = __('32','jwdtm');}
		if(!$mb_position_size){ $mb_position_size = __('16','jwdtm');}
		if(!$mb_contact_size){ $mb_contact_size = __('12','jwdtm');}
		if(!$mb_social_size){ $mb_social_size = __('14','jwdtm');}
		if(!$mb_desc_size){ $mb_desc_size = __('14','jwdtm'); }
		if(!$mb_desc_leng){ $mb_desc_leng = __('150','jwdtm'); }
		if(!$team_more_desc){ $team_more_desc = __('Read More','jwdtm');}
		if(!$team_less_desc){ $team_less_desc = __('Show Less','jwdtm');}
		/**/
		echo '<p style="margin-top:1.75em;"><code style="color:#f00;">[jwd_team id="'.$post->ID.'"]</code></p><p style="margin-bottom:1.5em;">'.__('Use this shortcode above to display this team in any post or page.','jwdtm').'</p>';
		/**/
		if( $team_design == 'horizontal'){ $show_this_grid = 'style="display:none;"'; } else { $show_this_grid = 'style="display:inline-block;"'; }  
?>
		<ul class="jt__tabs">
			<li class="active"><?php _e('Settings', 'jwdtm');?></li>
			<li><?php _e('Colors', 'jwdtm');?></li>
			<li><?php _e('Sizes', 'jwdtm');?></li>
		</ul>
		<ul class="jt__tab">
			<li class="active">
				<h4><?php _e( "Layout format", 'jwdtm' ); ?></h4>
				<div class="jt__switch-field">
					<input type="radio" id="team_design_v" name="team_design" value="vertical" <?php if($team_design != ''){ checked( $team_design, 'vertical' ); } else { echo 'checked';} ?> />
					<label class="team_design_v" for="team_design_v" title="<?php _e( "Vertical", 'jwdtm' ); ?>"><i class="fa fa-th-list  fa-rotate-90" aria-hidden="true"></i></label> 
					<input type="radio" id="team_design_h" name="team_design" value="horizontal" <?php checked( $team_design, 'horizontal' ); ?> />
					<label class="team_design_h" for="team_design_h" title="<?php _e( "Horizontal", 'jwdtm' ); ?>"><i class="fa fa-th-list " aria-hidden="true"></i></label>
				</div>
				<h4><?php _e( "Grid <i style='font-weight:normal;font-size:90%;'>(items per row)</i>", 'jwdtm' ); ?></h4>
				<div class="jt__switch-field team_settings_grid">
					<input type="radio" id="list_one_per_row" name="team_settings_grid" value="one_per_row" <?php checked( $team_grid, 'one_per_row' ); ?> />
					<label for="list_one_per_row" title="<?php _e( "One Per Row", 'jwdtm' ); ?>"><?php _e( "1", 'jwdtm' ); ?></label> 
					<input type="radio" id="list_two_per_row" name="team_settings_grid" value="two_per_row" <?php checked( $team_grid, 'two_per_row' ); ?> />
					<label for="list_two_per_row" title="<?php _e( "Two Per Row", 'jwdtm' ); ?>"><?php _e( "2", 'jwdtm' ); ?></label> 
					<input type="radio" id="list_three_per_row" name="team_settings_grid" value="three_per_row" <?php if($team_grid != ''){ checked( $team_grid, 'three_per_row' ); } else { echo 'checked';} ?> />
					<label class="list_three_per_row" for="list_three_per_row" title="<?php _e( "Three Per Row", 'jwdtm' ); ?>"><?php _e( "3", 'jwdtm' ); ?></label> 
					<input type="radio" id="list_four_per_row" name="team_settings_grid" value="four_per_row" <?php checked( $team_grid, 'four_per_row' ); ?>    />
					<label class="list_four_per_row" for="list_four_per_row" <?php echo $show_this_grid;?> title="<?php _e( "Four Per Row", 'jwdtm' ); ?>"><?php _e( "4", 'jwdtm' ); ?></label> 
					<input type="radio" id="list_five_per_row" name="team_settings_grid" value="five_per_row" <?php checked( $team_grid, 'five_per_row'); ?> />
					<label class="list_five_per_row" for="list_five_per_row" <?php echo $show_this_grid;?> title="<?php _e( "Five Per Row", 'jwdtm' ); ?>"><?php _e( "5", 'jwdtm' ); ?></label> 
				</div>
				<h4><?php _e( "Image Shape", 'jwdtm' ); ?></h4>
				<div class="jt__switch-field">
					<input type="radio" id="member_img_circle" name="team_settings_img" value="member_img_circle" <?php if($team_img != ''){ checked( $team_img, 'member_img_circle'); } else { echo 'checked';}?> />
					<label for="member_img_circle" title="<?php _e( "Disc", 'jwdtm' ); ?>"><i class="fa fa-circle " aria-hidden="true"></i></label>
					<input type="radio" id="member_img_square" name="team_settings_img" value="member_img_square" <?php checked( $team_img, 'member_img_square' ); ?> />
					<label for="member_img_square" title="<?php _e( "Square", 'jwdtm' ); ?>"><i class="fa fa-stop " aria-hidden="true"></i></label>
				</div>
				<h4><?php _e( "Display description as", 'jwdtm' ); ?></h4>
				<div class="jt__switch-field">
					<input type="radio" id="member_desc_list" name="team_settings_desc" value="member_desc_list" <?php if($team_desc != ''){ checked( $team_desc, 'member_desc_list'); } else { echo 'checked';} ?> />
					<label for="member_desc_list" title="<?php _e( "List Item", 'jwdtm' ); ?>"><i class="fa fa-list " aria-hidden="true"></i></label>
					<input type="radio" id="member_desc_tooltip" name="team_settings_desc" value="member_desc_tooltip" <?php checked( $team_desc, 'member_desc_tooltip'); ?> />
					<label for="member_desc_tooltip" title="<?php _e( "Tooltip", 'jwdtm' ); ?>"><i class="fa fa-commenting " aria-hidden="true"></i></label>
				</div>
				<h4><?php _e( "Text align", 'jwdtm' ); ?></h4>
				<div class="jt__switch-field team_settings_align">
					<input type="radio" id="team_txt_align_left" name="team_txt_align" value="txt_left" <?php checked( $team_txt_align, 'txt_left' ); ?> />
					<label for="team_txt_align_left" title="<?php _e( "Align Left", 'jwdtm' ); ?>"><i class="fa fa-align-left " aria-hidden="true"></i></label>
					<input type="radio" id="team_txt_align_center" name="team_txt_align" value="txt_center" <?php if($team_txt_align != ''){ checked( $team_txt_align, 'txt_center'); } else { echo 'checked';}?> />
					<label for="team_txt_align_center" title="<?php _e( "Align Center", 'jwdtm' ); ?>"><i class="fa fa-align-center " aria-hidden="true"></i></label>
					<input type="radio" id="team_txt_align_right" name="team_txt_align" value="txt_right" <?php checked( $team_txt_align, 'txt_right' ); ?> />
					<label for="team_txt_align_right" title="<?php _e( "Align Right", 'jwdtm' ); ?>"><i class="fa fa-align-right " aria-hidden="true"></i></label>
				</div>
				<div class="jt__switch-field" style="margin-top:1em;">
					<input type="checkbox" id="team_txt_align_justify" name="team_desc_justify" value="yes" <?php checked( $team_desc_justify, 'yes'); ?> />
					<label for="team_txt_align_justify" class="jt_checkbox"><i class="fa fa-align-justify " aria-hidden="true"></i>&nbsp; <i style="font-size:85%;font-style:normal;"><?php _e( "Justify Description", 'jwdtm' ); ?> </i> </label>
				</div>
				<h4><?php _e( "Other settings", 'jwdtm' ); ?></h4>
				<input type="text" name="team_more_desc" value="<?php echo esc_attr( $team_more_desc );?>" style="width:100%;display:block" />
				<i style="font-size:90%;"><?php _e( "Change <b>Read More</b> description text", 'jwdtm' ); ?></i>
				<br /><br />
				<input type="text" name="team_less_desc" value="<?php echo esc_attr( $team_less_desc );?>" style="width:100%;display:block" />
				<i style="font-size:90%;"><?php _e( "Change <b>Show Less</b> description text", 'jwdtm' ); ?></i>
				<br /><br />
				<div class="jt__switch-field">
					<input type="checkbox" id="team_settings_title" name="team_settings_title" value="hide" <?php checked( $team_show_title , 'hide'); ?> />
					<label for="team_settings_title" class="jt_checkbox"  style="font-size:90%;"><?php _e( "Hide Team Title", 'jwdtm' ); ?></label> 
				</div>
				<div class="jt__switch-field">
					<input type="checkbox" id="team_settings_credit" name="team_settings_credit" value="hide" <?php checked( $team_show_credit , 'hide'); ?> />
					<label for="team_settings_credit" class="jt_checkbox" style="font-size:90%;"><?php _e( 'Hide "Powered by"', 'jwdtm' ); ?></label>
				</div>
			</li>
			<li>
				<h4><i class="fa fa-user-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Name', 'jwdtm' ); ?></h4>
				<input type="text" name="mb_name_color" value="<?php echo esc_attr( $mb_name_color );?>" class="jt__color_picker" />
				<h4><i class="fa fa-building-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Position', 'jwdtm' ); ?></h4>
				<input type="text" name="mb_position_color" value="<?php echo esc_attr( $mb_position_color );?>" class="jt__color_picker" />
				<h4><i class="fa fa-envelope-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Phone & Email', 'jwdtm' ); ?></h4>
				<input type="text" name="mb_contact_color" value="<?php echo esc_attr( $mb_contact_color );?>" class="jt__color_picker" />
				<h4><i class="fa fa-share-square-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Social Icons', 'jwdtm' ); ?></h4>
				<input type="text" name="mb_social_color" value="<?php echo esc_attr( $mb_social_color );?>" class="jt__color_picker" />
				<h4><i class="fa fa-share-square" aria-hidden="true"></i> &nbsp; <?php _e( 'Social Icons Hover', 'jwdtm' ); ?></h4>
				<input type="text" name="mb_social_hover" value="<?php echo esc_attr( $mb_social_hover );?>" class="jt__color_picker" />
				<h4><i class="fa fa-address-card-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Description', 'jwdtm' ); ?></h4>
				<input type="text" name="mb_desc_color" value="<?php echo esc_attr( $mb_desc_color );?>" class="jt__color_picker" />
				<h4><i class="fa fa-commenting-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Tooltip Text', 'jwdtm' ); ?></h4>
				<input type="text" name="mb_tooltip_color" value="<?php echo esc_attr( $mb_tooltip_color );?>" class="jt__color_picker" />
				<h4><i class="fa fa-commenting" aria-hidden="true"></i> &nbsp; <?php _e( 'Tooltip Background', 'jwdtm' ); ?></h4>
				<input type="text" name="mb_tooltip_bg" value="<?php echo esc_attr( $mb_tooltip_bg );?>" class="jt__color_picker" />
			</li>
			<li>
				<div class="jt__slider">
					<h4><i class="fa fa-user-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Name <i style="font-size:90%;font-weight:normal;"> (px) </i>', 'jwdtm' ); ?></h4>
					<div class="jt__slider-bg" data-jt_unit="px"><div class="jt__slider-handle ui-slider-handle"></div></div>
					<input class="jt__slider-input" name="mb_name_size" type="text" value="<?php echo esc_attr( $mb_name_size );?>" readonly />
				</div>
				<div class="jt__slider">
					<h4><i class="fa fa-building-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Position <i style="font-size:90%;font-weight:normal;"> (px) </i>', 'jwdtm' ); ?></h4>
					<div class="jt__slider-bg" data-jt_unit="px"><div class="jt__slider-handle ui-slider-handle"></div></div>
					<input class="jt__slider-input" name="mb_position_size" type="text" value="<?php echo esc_attr( $mb_position_size );?>" readonly />
				</div>
				<div class="jt__slider">
					<h4><i class="fa fa-envelope-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Phone & Email <i style="font-size:90%;font-weight:normal;"> (px) </i>', 'jwdtm' ); ?></h4>
					<div class="jt__slider-bg" data-jt_unit="px"><div class="jt__slider-handle ui-slider-handle"></div></div>
					<input class="jt__slider-input" name="mb_contact_size" type="text" value="<?php echo esc_attr( $mb_contact_size );?>" readonly />
				</div>
				<div class="jt__slider">
					<h4><i class="fa fa-share-square-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Social Icons <i style="font-size:90%;font-weight:normal;"> (px) </i>', 'jwdtm' ); ?></h4>
					<div class="jt__slider-bg" data-jt_unit="px"><div class="jt__slider-handle ui-slider-handle"></div></div>
					<input class="jt__slider-input" name="mb_social_size" type="text" value="<?php echo esc_attr( $mb_social_size );?>" readonly />
				</div>
				<div class="jt__slider">
					<h4><i class="fa fa-address-card-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Description <i style="font-size:90%;font-weight:normal;"> (px) </i>', 'jwdtm' ); ?></h4>
					<div class="jt__slider-bg" data-jt_unit="px"><div class="jt__slider-handle ui-slider-handle"></div></div>
					<input class="jt__slider-input" name="mb_desc_size" type="text" value="<?php echo esc_attr( $mb_desc_size );?>" readonly />
				</div>
				<div class="jt__slider">
					<h4><i class="fa fa-address-card-o" aria-hidden="true"></i> &nbsp; <?php _e( 'Description Length <i style="font-size:90%;font-weight:normal;"> (characters) </i>', 'jwdtm' ); ?></h4>
					<div class="jt__slider-bg" data-jt_unit="ch"><div class="jt__slider-handle ui-slider-handle"></div></div>
					<input class="jt__slider-input" name="mb_desc_leng" type="text" value="<?php echo esc_attr( $mb_desc_leng );?>" readonly />
				</div>
			</li>
		</ul>
<?php
	}
}

/********************************
 * Custom CSS Metabox
 ********************************/
if ( ! function_exists( 'jt__teams_custom_css' ) ) { 
	function jt__teams_custom_css($post){
		wp_nonce_field( basename( __FILE__ ) , 'jt__teams_custom_css_nonce' );
		$team_custom_css	= get_post_meta( $post->ID, 'team_custom_css', true ); ?> 
		<p><?php _e( 'Use <code>#jt__team_'.$post->ID.'</code> or <code>.jt__team_'.$post->ID.'</code> to target this Team.', 'jwdtm' ); ?></p>
		<p style="color:#c00;margin:.25em 0;font-size:90%"><?php _e( 'Please DO NOT include <code>&lt;style&gt;</code> tag!', 'jwdtm' ); ?></p>
		<textarea class="jt__custom_css" name="team_custom_css" placeholder="<?php _e('Example:&#10; #jt__team_'. $post->ID .' { color: #f00; } &#10; .jt__team_'. $post->ID .' { color: #f00; }', 'jwdtm');?>"><?php echo $team_custom_css; ?></textarea>		
		<?php
	}
}

/********************************
 * Save metaboxes values
 ********************************/
if ( ! function_exists( 'jt__teams_save' ) ) {
add_action('save_post', 'jt__teams_save');
	function jt__teams_save($post_id){ 
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
		if ( !isset( $_POST['jt__teams_content_nonce'] ) || !wp_verify_nonce( $_POST['jt__teams_content_nonce'], basename( __FILE__ ) ) ) return;
		if ( !isset( $_POST['jt__teams_content_settings_nonce'] ) || !wp_verify_nonce( $_POST['jt__teams_content_settings_nonce'], basename( __FILE__ ) ) ) return;
		if ( !isset( $_POST['jt__teams_custom_css_nonce'] ) || !wp_verify_nonce( $_POST['jt__teams_custom_css_nonce'], basename( __FILE__ ) ) ) return;
		/**/
		if ( 'jwd_team' == $_POST['post_type'] ) {
			if ( !current_user_can( 'edit_page', $post_id ) ) return;
			/* Members Data */
			if ( isset($_POST['member_data']) ){ update_post_meta($post_id,'member_data', $_POST['member_data']); }
			/* Settings */
			if ( isset($_POST['team_design']) ){ update_post_meta($post_id,'team_design', $_POST['team_design']); }
			if ( isset($_POST['team_settings_grid']) ){ update_post_meta($post_id,'team_settings_grid', $_POST['team_settings_grid']); }
			if ( isset($_POST['team_settings_img']) ){ update_post_meta($post_id,'team_settings_img', $_POST['team_settings_img']); }
			if ( isset($_POST['team_txt_align']) ){ update_post_meta($post_id,'team_txt_align', $_POST['team_txt_align']); }
			if ( isset($_POST['team_desc_justify']) ){ update_post_meta($post_id,'team_desc_justify', $_POST['team_desc_justify']); } else { delete_post_meta($post_id, 'team_desc_justify'); }
			if ( isset($_POST['team_settings_desc']) ){ update_post_meta($post_id,'team_settings_desc', $_POST['team_settings_desc']); }
			if ( isset($_POST['team_settings_title']) ){ update_post_meta($post_id,'team_settings_title', $_POST['team_settings_title']); } else { delete_post_meta($post_id, 'team_settings_title'); }
			if ( isset($_POST['team_settings_credit']) ){ update_post_meta($post_id,'team_settings_credit', $_POST['team_settings_credit']); } else { delete_post_meta($post_id, 'team_settings_credit'); }
			if ( isset($_POST['team_custom_css']) ){ update_post_meta($post_id,'team_custom_css', $_POST['team_custom_css']); }
			
			$team_more_desc = sanitize_text_field( $_POST['team_more_desc'] );
			$team_less_desc = sanitize_text_field( $_POST['team_less_desc'] );
			if ( isset($_POST['team_more_desc']) && !empty($team_more_desc)){ 	
				update_post_meta( $post_id,'team_more_desc', $_POST['team_more_desc'] ); 
			} else { 
				update_post_meta($post_id,'team_more_desc', 'Read More' ); 
			}
			if ( isset($_POST['team_less_desc']) && !empty( $team_less_desc)){ 
				update_post_meta($post_id,'team_less_desc', $_POST['team_less_desc'] );
			} else { 
				update_post_meta($post_id,'team_less_desc', 'Show Less' ); 
			}
			/* Colors */
			if ( isset($_POST['mb_name_color']) ){ update_post_meta($post_id,'mb_name_color', $_POST['mb_name_color']); }
			if ( isset($_POST['mb_position_color']) ){ update_post_meta($post_id,'mb_position_color', $_POST['mb_position_color']); }
			if ( isset($_POST['mb_contact_color']) ){ update_post_meta($post_id,'mb_contact_color', $_POST['mb_contact_color']); }
			if ( isset($_POST['mb_social_color']) ){ update_post_meta($post_id,'mb_social_color', $_POST['mb_social_color']); }
			if ( isset($_POST['mb_social_hover']) ){ update_post_meta($post_id,'mb_social_hover', $_POST['mb_social_hover']); }
			if ( isset($_POST['mb_desc_color']) ){ update_post_meta($post_id,'mb_desc_color', $_POST['mb_desc_color']); }
			if ( isset($_POST['mb_tooltip_color']) ){ update_post_meta($post_id,'mb_tooltip_color', $_POST['mb_tooltip_color']); }
			if ( isset($_POST['mb_tooltip_bg']) ){ update_post_meta($post_id,'mb_tooltip_bg', $_POST['mb_tooltip_bg']); }
			/* Sizes */
			if ( isset($_POST['mb_name_size']) ){ update_post_meta($post_id,'mb_name_size', $_POST['mb_name_size']); }
			if ( isset($_POST['mb_position_size']) ){ update_post_meta($post_id,'mb_position_size', $_POST['mb_position_size']); }
			if ( isset($_POST['mb_contact_size']) ){ update_post_meta($post_id,'mb_contact_size', $_POST['mb_contact_size']); }
			if ( isset($_POST['mb_social_size']) ){ update_post_meta($post_id,'mb_social_size', $_POST['mb_social_size']); }
			if ( isset($_POST['mb_desc_size']) ){ update_post_meta($post_id,'mb_desc_size', $_POST['mb_desc_size']); }
			if ( isset($_POST['mb_desc_leng']) ){ update_post_meta($post_id,'mb_desc_leng', $_POST['mb_desc_leng']); }
		}
	} 
}