<?php
/********************************
 * JWD Teams :: The Shortcode
 ********************************/
 
/********************************
 * Blocking direct access to this file 
 ********************************/
 defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
 
/********************************
 * Display Team Metabox Content through shortcode
 ********************************/
if ( ! function_exists( 'jt__shortcode' ) ) { 
	add_shortcode( 'jwd_team', 'jt__shortcode' );
	function jt__shortcode($atts) {
		ob_start();
		$atts = shortcode_atts(	array( 'id' => ''), $atts, 'jwd_team' ); 
		if( $atts['id'] != '' ){
			/* Check if the Team exists */
			if ( FALSE === get_post_status( $atts['id'] ) ) {
			  echo '<p style="color:#f00;">'.__('Sorry! This team does not exist.', 'jwdtm').'</p>';
			} else {
				/* VARS */
				$data 			= get_post_meta( $atts['id'], 'member_data', true );
				$grid 			= get_post_meta( $atts['id'], 'team_settings_grid', true ); 
				$img_shape 		= get_post_meta( $atts['id'], 'team_settings_img', true );
				$txt_align 		= get_post_meta( $atts['id'], 'team_txt_align', true ); 
				$desc_justify 	= get_post_meta( $atts['id'], 'team_desc_justify', true );
				$desc_in 		= get_post_meta( $atts['id'], 'team_settings_desc', true );
				$show_title 	= get_post_meta( $atts['id'], 'team_settings_title', true );
				$show_credit 	= get_post_meta( $atts['id'], 'team_settings_credit', true );
				$custom_css		= get_post_meta( $atts['id'], 'team_custom_css', true); 
				$template		= get_post_meta( $atts['id'], 'team_design', true ); 
				$readmore		= get_post_meta( $atts['id'], 'team_more_desc', true );
				$showless		= get_post_meta( $atts['id'], 'team_less_desc', true );
				$name_color 	= get_post_meta( $atts['id'], 'mb_name_color', true ); 
				$name_size 		= get_post_meta( $atts['id'], 'mb_name_size', true ); 
				$pos_color		= get_post_meta( $atts['id'], 'mb_position_color', true ); 
				$pos_size		= get_post_meta( $atts['id'], 'mb_position_size', true ); 
				$cont_color		= get_post_meta( $atts['id'], 'mb_contact_color', true ); 
				$cont_size		= get_post_meta( $atts['id'], 'mb_contact_size', true ); 
				$social_color	= get_post_meta( $atts['id'], 'mb_social_color', true ); 
				$social_hover	= get_post_meta( $atts['id'], 'mb_social_hover', true ); 
				$social_size	= get_post_meta( $atts['id'], 'mb_social_size', true );
				$desc_color		= get_post_meta( $atts['id'], 'mb_desc_color', true ); 
				$desc_size		= get_post_meta( $atts['id'], 'mb_desc_size', true ); 
				$desc_leng		= get_post_meta( $atts['id'], 'mb_desc_leng', true );          
				$tooltip_txt	= get_post_meta( $atts['id'], 'mb_tooltip_color', true ); 
				$tooltip_bg		= get_post_meta( $atts['id'], 'mb_tooltip_bg', true ); 
				/* Defaults */
				if( $desc_justify == 'yes'){ $desc_style = 'style="text-align:justify;"'; } else { $desc_style = '';}
				if( $show_credit == 'hide'){ $credit_style = 'style="display:none;"'; } else { $credit_style = '';}
				if(empty($desc_leng)){ $desc_leng = 150;}
				$thisTeam = '#jt__team_'.esc_attr( $atts['id'] );
				/* Generate Team CSS*/
				if( !empty( $custom_css ) || $desc_justify == 'yes' || !empty( $name_color ) || 
					!empty( $name_size ) || !empty( $pos_color ) || !empty( $pos_size ) ||
					!empty( $cont_color ) || !empty( $cont_size ) || !empty( $social_color ) || 
					!empty( $social_hover ) || !empty( $social_size ) || !empty( $desc_color ) ||
					!empty( $desc_size ) || !empty( $tooltip_txt ) || !empty( $tooltip_bg )
				){ 					
					echo '<style type="text/css">';
					if(!empty( $name_color )) { echo $thisTeam . ' .jt__member-name h2{color:'.$name_color.';}'; } 
					if(!empty( $name_size )) { echo $thisTeam . ' .jt__member-name h2{font-size:'.$name_size.'px;}'; } 
					if(!empty( $pos_color )) { echo $thisTeam . ' .jt__member-position{color:'.$pos_color.';}'; } 
					if(!empty( $pos_size )) { echo $thisTeam . ' .jt__member-position{font-size:'.$pos_size.'px;}'; } 
					if(!empty( $cont_color )) { echo $thisTeam . ' .jt__member-phone, '.$thisTeam . ' .jt__member-email { color:'.$cont_color.';}'; } 
					if(!empty( $cont_size )) { echo $thisTeam . ' .jt__member-phone, '.$thisTeam . ' .jt__member-email { font-size:'.$cont_size.'px;}'; } 
					if(!empty( $social_color )) { echo $thisTeam . ' .jt__member-socials a{color:'.$social_color.';}'; } 
					if(!empty( $social_hover )) { echo $thisTeam . ' .jt__member-socials a:hover{color:'.$social_hover.';}'; } 
					if(!empty( $social_size )) { echo $thisTeam . ' .jt__member-socials a{font-size:'.$social_size.'px;}'; } 
					if(!empty( $desc_color )) { echo $thisTeam . ' .jt__member-description span{color:'.$desc_color.';}'; } 
					if(!empty( $desc_size )) { echo $thisTeam . ' .jt__member-description span{font-size:'.$desc_size.'px;}'; } 
					if( $desc_justify == 'yes'){ echo '.tipso_content{text-align:justify;}';}
					if( !empty( $tooltip_txt )){ echo '.tipso_content{color:'.$tooltip_txt.';}';}
					if( !empty( $tooltip_bg )){ 
						echo '.tipso_bubble{background:'.$tooltip_bg.'!important;}';
						echo '.tipso_bubble.top > .tipso_arrow{ border-color: '.$tooltip_bg.' transparent transparent !important;}';
					}
					/* Include custom CSS */
					if(!empty( $custom_css )) { echo esc_attr($custom_css); } 
					echo '</style>'; 
				}
				/* Generate Shortcode */
				echo '<div id="jt__team_'.esc_attr( $atts['id'] ).'" class="jt__team_'.esc_attr( $atts['id'] ).' jt__wrapper">';
				if( $show_title != 'hide'){ echo '<h2>'.get_the_title( esc_attr( $atts['id'] ) ).'</h2>'; }
				echo '<ul class="jt__team jt_'.esc_attr($template).'">';
				if (count($data) > 0){
					foreach((array)$data as $member ){
						if ( isset($member['img']) || isset($member['img_id']) || isset($member['name']) || isset($member['position']) || isset($member['phone']) || isset($member['email']) || isset($member['desc']) ){
							echo '<li class="jt__team-item '.esc_attr( $grid ).'">';
							echo '<ul class="jt__member '.esc_attr( $txt_align ).' ">';
								if( $desc_in == 'member_desc_tooltip' && $member['desc'] != ''){
									echo '<li class="jt__member-img jt__team_tooltip" data-tipso-title="'.esc_attr( $member['name'] ).'" data-tipso="'.$member['desc'].'">';
								} else { echo '<li class="jt__member-img">'; }
								if( !empty($member['img_id'])){
									echo wp_get_attachment_image($member['img_id'], 'large', false, array( "class" => esc_attr( $img_shape) ));
								} elseif( !empty($member['img']) ) {
									echo '<img src='.esc_url( $member['img'] ).' alt="'.esc_attr( $member['name'] ).'" class="'.esc_attr( $img_shape).'" />';
								} else {
									echo '<img src='.plugins_url('/img/jwd_team_avatar.gif', dirname(__FILE__)).' alt="'.esc_attr( $member['name'] ).'" class="'.esc_attr( $img_shape).'" />';
								}
								echo '</li>'; 
								if($member['name'] != ''){ echo '<li class="jt__member-name"><h2>'.esc_attr( $member['name'] ).'</h2></li>'; }
								if($member['position'] != ''){ echo '<li class="jt__member-position">'.esc_attr( $member['position'] ).'</li>'; }
								if($member['phone'] != ''){ echo '<li class="jt__member-phone"><i class="fa fa-phone"></i> '.esc_attr( $member['phone'] ).'</li>'; }
								if($member['email'] != ''){ echo '<li class="jt__member-email"><i class="fa fa-envelope"></i> '.esc_attr( $member['email'] ).'</li>'; }
								if( $member['fb'] != '' || $member['tw'] != '' || $member['in'] != '' || $member['gp'] != '' || $member['yt'] != '' || $member['it'] != ''){
									 echo '<li class="jt__member-socials">';
										if($member['fb'] != ''){ echo '<a href="'.esc_url($member['fb']).'" target="blank"><i class="fa fa-facebook" aria-hidden="true"></i></a>'; }
										if($member['tw'] != ''){ echo '<a href="'.esc_url($member['tw']).'" target="blank"><i class="fa fa-twitter" aria-hidden="true"></i></a>'; }
										if($member['in'] != ''){ echo '<a href="'.esc_url($member['in']).'" target="blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a>'; }
										if($member['gp'] != ''){ echo '<a href="'.esc_url($member['gp']).'" target="blank"><i class="fa fa-google-plus" aria-hidden="true"></i></a>'; }
										if($member['yt'] != ''){ echo '<a href="'.esc_url($member['yt']).'" target="blank"><i class="fa fa-youtube" aria-hidden="true"></i></a>'; }
										if($member['it'] != ''){ echo '<a href="'.esc_url($member['it']).'" target="blank"><i class="fa fa-instagram" aria-hidden="true"></i></a>'; }
									 echo '</li>';
								}
								if($desc_in == 'member_desc_list' && $member['desc'] != ''){ 
									echo '<li class="jt__member-description" '.$desc_style.'>'; 
										if( strlen($member['desc'] ) < $desc_leng){
											echo '<span>' . $member['desc'] . '</span>';
										} else {
											echo '<span class="jt__longdesc jt__hide">'. $member['desc'] .'<br /><a href="" class="jt__readless">'.__( esc_attr( $showless ) , 'jwdtm').'</a></span>';
											echo '<span class="jt__shortdesc">'.substr( $member['desc'], 0, $desc_leng ).'... <a href="" class="jt__readmore">'.__( esc_attr( $readmore ) , 'jwdtm').'</a></span>';
										}
									echo '</li>';
								}
							echo '</ul></li>';
						} else {
							echo '<li class="jt__team-item" ><p style="color:#f00;">'.__('Sorry! There are no members registered for this team.', 'jwdtm').'</p></li>';
						}
					}
				}
				echo '</ul><p class="jt__credit" '.$credit_style.'>' .__('Proudly powered by <a href="http://jordachewd.com/" target="blank">JordacheWD</a>','jwdtm').'</p>';
				echo '</div>';
			}
		} else {
			echo '<p style="color:#f00;">'.__('<b>Error:</b> ID parameter of <code>[jwd_team]</code> is missing!', 'jwdtm').'</p>';
		}
		return ob_get_clean();
	}
}