/**
 * JWD Teams :: Admin Side Scripts
 */
jQuery(document).ready(function(){ 
/** 
 * Uploading team member image  
 */
	jQuery('.jt__changeimg').live('click', function( event ){
		event.preventDefault();
		var file_frame;
		var jt__container = jQuery(this).attr('data-jtcontainer');
		/* If the media frame already exists, reopen it. */
		if ( file_frame ) { file_frame.open(); return;  }
		/* Create the media frame. */
		file_frame = wp.media.frames.file_frame = wp.media({
			title: 'Upload Member Image',
			button: { text: 'Add This Image' },
			library: { type: 'image' },
			multiple: false 
		});
		/* When an image is selected, run a callback. */
		file_frame.on( 'select', function() {
			/* We set multiple to false so only get one image from the uploader */
			attachment = file_frame.state().get('selection').first().toJSON();
			/* Do something with attachment.id and/or attachment.url here */
			jQuery('#'+jt__container).find('img').attr('src', attachment.url);
			jQuery('#'+jt__container).find('#jt__teams-attachment').val(attachment.url);
			jQuery('#'+jt__container).find('#jt__teams-attachmentid').val(attachment.id);
		});
		/* Finally, open the modal */
		file_frame.open();
	});
/** 
 * Sortable Members 
 */
	jQuery('.jt__wrapper').sortable({ placeholder: "jt__teams-highlight" });
	jQuery( ".jt__wrapper" ).disableSelection();
	/* Remove Member */
	jQuery(".jt__remove").live('click', function(e) {
		e.preventDefault();
		var is_ok  = confirm('Are you sure you want to REMOVE this member?');
		if (is_ok){ jQuery(this).parent().parent().remove(); }
	});
	/* Remove Member image */
	jQuery(".jt__removeimg").live('click', function(e) {
		e.preventDefault();
		var avatar = jQuery(this).parent();
		var fakeimg = jQuery(this).attr('data-avatar');
		var is_ok  = confirm('Are you sure you want to REMOVE this image?');
		if (is_ok){ 
			avatar.find('img').attr('src', fakeimg);
			avatar.find('#jt__teams-attachment, #jt__teams-attachmentid').val('');
		}
	});
/** 
 * Format & Grid Selectors 
 */
	/* Default selected grid */
	var jt_selected_grid = 'list_two_per_row'; 
	/* Update Selected Grid */
	jQuery('.team_settings_grid input[type=radio]').each(function () {
		 if(jQuery(this).is(':checked')){
			jt_selected_grid = jQuery(this).attr('id'); 
		}  
	});
	/* Grid options for Vertical Format  */
	jQuery(".team_design_v").live('click', function() {
		jQuery(".list_four_per_row, .list_five_per_row").css('display','inline-block');
		jQuery(".team_settings_grid input:checkbox") .removeAttr('checked');
		jQuery(".team_settings_align input:checkbox") .removeAttr('checked');
		jQuery(".list_three_per_row").removeAttr( 'style' );
		jQuery("#list_three_per_row").attr('checked', 'checked');
		jQuery("#team_txt_align_center").attr('checked', 'checked');
	});
	/* Grid options for Horizontal Format  */
	jQuery(".team_design_h").live('click', function() {
		jQuery(".list_four_per_row, .list_five_per_row").css('display','none');
		jQuery(".list_three_per_row").css('border-radius' , '0 4px 4px 0');
		jQuery(".team_settings_grid input:checkbox") .removeAttr('checked');
		jQuery(".team_settings_align input:checkbox") .removeAttr('checked');
		jQuery("#team_txt_align_left").attr('checked', 'checked');
		if(jt_selected_grid == 'list_four_per_row' || jt_selected_grid == 'list_five_per_row'){
			jQuery("#list_two_per_row").attr('checked', 'checked');
		} else {
			jQuery("#"+jt_selected_grid).attr('checked', 'checked');
		}
	});
	/* Tabs Selector*/
	jQuery(".jt__tabs li").live('click', function() {
		var thisTab = jQuery(this);
        if (!thisTab.hasClass('active')) {
			var theCont = thisTab.parent().parent(); 
            var tabNum = thisTab.index();
            var nthChild = tabNum+1;
			theCont.find('.jt__tabs li.active').removeClass('active');
            thisTab.addClass('active');
			theCont.find('.jt__tab li.active').removeClass('active');
			theCont.find('.jt__tab li:nth-child('+nthChild+')').addClass('active');
        }
	});
	/* Color Piker */
	jQuery('.jt__color_picker').wpColorPicker();
	/* UI Slider */
	jQuery('.jt__slider-bg').each(function(){
		var jtSlider 	= jQuery(this);
		var unit		= jtSlider.attr('data-jt_unit');
		var handle 		= jtSlider.find( ".jt__slider-handle" );
		var input 		= jtSlider.parent().find( ".jt__slider-input" );
		switch(unit){
			case 'ch':
			jtSlider.slider({
				min: 50, max: 500, step: 50, value: input.val(),
				create: function() { handle.text( jQuery( this ).slider( 'value' )); },
				slide: function( event, ui ) { handle.text( ui.value); input.val( ui.value ); }
			});
			break;
			default:
			jtSlider.slider({
				range: "min", min: 8, max: 50, value: input.val(),
				create: function() { handle.text( jQuery( this ).slider( 'value' )); },
				slide: function( event, ui ) { handle.text( ui.value); input.val( ui.value ); }
			});
		}
	});
});
/*END*/