<?php
/**
 * Plugin Name: JWD Teams 
 * Plugin URI: http://jordachewd.com/
 * Description: Create unlimited teams and display them through a generated shortcode. Easily.
 * Version: 1.3.2
 * Author: JordacheWD
 * Author URI: http://www.jordachewd.ro
 * Text Domain: jwdtm
 * License: GPLv2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * 
 * 
 * 
 * JWD Teams is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * any later version.
 *
 * You should have received a copy of the GNU General Public License
 * along with JWD Teams. If not, see <http://www.gnu.org/licenses/>.
 *
 */

/********************************
 * Blocking direct access to this plugin PHP file 
 ********************************/
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


/********************************
  * Load Plugin Components
 ********************************/
include_once( plugin_dir_path( __FILE__ ) . 'inc/jt__enqueue.php');
include_once( plugin_dir_path( __FILE__ ) . 'inc/jt__hooks.php');
include_once( plugin_dir_path( __FILE__ ) . 'inc/jt__cpt.php');
include_once( plugin_dir_path( __FILE__ ) . 'inc/jt__metaboxes.php');
include_once( plugin_dir_path( __FILE__ ) . 'inc/jt__shortcode.php');

/********************************
 * Get Plugin Data Hook
 ********************************/
if ( ! function_exists( 'jt__plugin_data' ) ) { 
	function jt__plugin_data( $return = '' ) {
		if ( is_admin() ) {
			$plugin_data = get_plugin_data( __FILE__ );
			switch ($return){
				case 'name': return $plugin_data['Name']; break;
				case 'author': return $plugin_data['Author']; break;
				case 'pluginURI': return $plugin_data['PluginURI']; break;
				default: return $plugin_data['Version'];
			}
		}
	}
}

/********************************
 * Add "Settings" link in plugin's description
 ********************************/
if ( ! function_exists( 'jt__add_action_links' ) ) {
	add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'jt__add_action_links' );
	function jt__add_action_links( $links ) {
	   $links[] = '<a href="'. esc_url( get_admin_url( null, 'edit.php?post_type=jwd_team' ) ) .'">' . __('Get Started', 'jwdtm') . '</a>';
	   return $links;
	}
}